Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(75)

Issue 2889653002: Remove cullRect() from PaintOpBuffer. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 1 day ago by danakj
Modified:
23 hours, 43 minutes ago
CC:
apavlov+blink_chromium.org, blink-layers+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-layout_chromium.org, blink-reviews-paint_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, caseq+blink_chromium.org, cc-bugs_chromium.org, chromium-reviews, danakj+watch_chromium.org, devtools-reviews_chromium.org, dglazkov+blink, dshwang, drott+blinkwatch_chromium.org, krit, eae+blinkwatch, fmalita+watch_chromium.org, fs, gyuyoung2, jbauman+watch_chromium.org, jchaffraix+rendering, Justin Novosad, kalyank, kinuko+watch, kouhei+svg_chromium.org, kozyatinskiy+blink_chromium.org, leviw+renderwatch, lushnikov+blink_chromium.org, pdr+graphicswatchlist_chromium.org, pdr+svgwatchlist_chromium.org, pdr+renderingwatchlist_chromium.org, pfeldman+blink_chromium.org, piman+watch_chromium.org, rwlbuis, Stephen Chennney, szager+layoutwatch_chromium.org, Ian Vollick, zoltan1
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove cullRect() from PaintOpBuffer. Pass it directly to RecordPaintCanvas and ToSkPicture, and other skia methods which is where it is used. This allows us to more easily get rid of cc::DisplayItem and its subclasses, replacing them with a PaintOpBuffer in DisplayItemList directly instead. The difficulty I faced with that was that if DisplayItemList has a single PaintOpBuffer, then it has a single cull rect. However when painting, each "batch" of PaintOps can have a different cull rect (corresponding to the PaintOps that would have been in a single DisplayItem before). So, instead the cull rect should be a property of recording at the RecordPaintCanvas level, which is a temporary object. As such, creators of cc::RecordPaintCanvas (mostly thru cc::PaintRecorder) need to manage the cull rect themselves to pass to things that want to use it with the cc::PaintOpBuffer (aka cc::PaintRecord at this time). Original code review was done on gerrit: https://chromium-review.googlesource.com/c/503472 R=chrishtr@chromium.org, enne@chromium.org, pdr@chromium.org BUG=671433, 646010, 724367 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel;master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2889653002 . Cr-Original-Commit-Position: refs/heads/master@{#472917} Committed: https://chromium.googlesource.com/chromium/src/+/c5f1b6126a7657234b9abc0c4359cbab45850b69 Review-Url: https://codereview.chromium.org/2889653002 Cr-Commit-Position: refs/heads/master@{#473975} Committed: https://chromium.googlesource.com/chromium/src/+/29ef12086e6ac7eb83677e7730df00fda5c6af9b

Patch Set 1 #

Patch Set 2 : movecullrect2 rebase #

Patch Set 3 : movecullrect2 forever-rebasing #

Patch Set 4 : movecullrect2 more-rebase-sigh #

Patch Set 5 : movecullrect2 rebase #

Patch Set 6 : movecullrect2 fixcompile #

Total comments: 1

Patch Set 7 : movecullrect2 rebase #

Patch Set 8 : movecullrect2 fix-uninit-bounds #

Patch Set 9 : movecullrect2 test #

Patch Set 10 : movecullrect2 rebase #

Patch Set 11 : movecullrect2 fixcompile #

Patch Set 12 : movecullrect2 testexpecations #

Patch Set 13 : movecullrect2 rebase-again--- #

Patch Set 14 : movecullrect2 update-test-- #

Patch Set 15 : movecullrect2 rebase-once-and-for-all #

Unified diffs Side-by-side diffs Delta from patch set Stats (+474 lines, -295 lines) Patch
M cc/blink/web_display_item_list_impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M cc/blink/web_display_item_list_impl.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M cc/layers/picture_image_layer.cc View 1 chunk +2 lines, -1 line 0 comments Download
M cc/paint/discardable_image_map_unittest.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M cc/paint/display_item_list.cc View 1 2 2 chunks +7 lines, -7 lines 0 comments Download
M cc/paint/display_item_list_unittest.cc View 1 2 22 chunks +57 lines, -32 lines 0 comments Download
M cc/paint/drawing_display_item.h View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M cc/paint/drawing_display_item.cc View 1 2 3 4 5 6 7 1 chunk +6 lines, -4 lines 0 comments Download
M cc/paint/paint_op_buffer.h View 1 2 3 4 3 chunks +0 lines, -4 lines 0 comments Download
M cc/paint/paint_op_buffer.cc View 1 2 3 4 1 chunk +1 line, -3 lines 0 comments Download
M cc/paint/paint_op_buffer_unittest.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M cc/paint/paint_record.h View 1 chunk +4 lines, -2 lines 0 comments Download
M cc/paint/paint_record.cc View 1 chunk +5 lines, -4 lines 0 comments Download
M cc/paint/paint_recorder.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M cc/paint/paint_shader.h View 1 chunk +4 lines, -4 lines 0 comments Download
M cc/paint/record_paint_canvas.h View 2 chunks +2 lines, -1 line 0 comments Download
M cc/paint/record_paint_canvas.cc View 1 2 chunks +6 lines, -6 lines 0 comments Download
M cc/test/fake_content_layer_client.cc View 1 2 3 chunks +8 lines, -5 lines 0 comments Download
M cc/test/solid_color_content_layer_client.cc View 1 chunk +1 line, -1 line 0 comments Download
M cc/trees/layer_tree_host_pixeltest_masks.cc View 1 6 chunks +9 lines, -6 lines 0 comments Download
M cc/trees/layer_tree_host_pixeltest_tiles.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorLayerTreeAgent.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/layout/svg/LayoutSVGResourcePattern.h View 2 chunks +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/layout/svg/LayoutSVGResourcePattern.cpp View 3 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/paint/BoxReflectionUtils.cpp View 1 chunk +21 lines, -22 lines 0 comments Download
M third_party/WebKit/Source/core/paint/ClipPathClipper.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/paint/InlineTextBoxPainter.cpp View 5 chunks +23 lines, -22 lines 0 comments Download
M third_party/WebKit/Source/core/paint/LayoutObjectDrawingRecorderTest.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/paint/SVGFilterPainter.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/paint/SVGInlineTextBoxPainterTest.cpp View 6 chunks +5 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/core/svg/graphics/SVGImage.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/svg/graphics/SVGImage.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 6 chunks +12 lines, -15 lines 0 comments Download
M third_party/WebKit/Source/core/svg/graphics/filters/SVGFEImage.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/BoxReflection.h View 4 chunks +13 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/GeneratedImage.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsContext.cpp View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsLayer.cpp View 13 14 2 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/Image.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/LoggingCanvas.h View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/LoggingCanvas.cpp View 1 chunk +6 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/PaintGeneratedImage.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/PaintRecordPattern.h View 3 chunks +8 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/PaintRecordPattern.cpp View 2 chunks +10 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/Pattern.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/Pattern.cpp View 1 chunk +6 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/PlaceholderImage.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/compositing/PaintChunksToCcLayer.cpp View 1 chunk +6 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/filters/SkiaImageFilterBuilder.h View 1 2 3 4 2 chunks +4 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/filters/SkiaImageFilterBuilder.cpp View 1 2 3 4 5 2 chunks +14 lines, -13 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DisplayItemList.cpp View 13 14 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DisplayItemListTest.cpp View 13 14 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.h View 1 2 13 14 2 chunks +19 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp View 1 2 13 14 3 chunks +30 lines, -24 lines 0 comments Download
A third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItemTest.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +69 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DrawingRecorder.h View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DrawingRecorder.cpp View 1 2 3 chunks +7 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/PaintArtifact.cpp View 13 14 1 chunk +8 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/PaintController.h View 1 2 13 14 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/PaintController.cpp View 1 2 13 14 2 chunks +14 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/platform/testing/TestPaintArtifact.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/LinkHighlightImpl.cpp View 2 chunks +7 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/web/tests/scheduler/FrameThrottlingTest.cpp View 1 2 3 4 5 6 7 8 9 10 7 chunks +10 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimDisplayItemList.h View 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/web/tests/sim/SimDisplayItemList.cpp View 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/public/platform/WebDisplayItemList.h View 1 chunk +2 lines, -1 line 0 comments Download
M ui/compositor/paint_recorder.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/compositor/paint_recorder.cc View 2 chunks +4 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 115 (69 generated)
danakj
Gerrit is kinda broken so I moved https://chromium-review.googlesource.com/c/503472 over here. enne, chrishtr, pdr: PTAL The ...
1 week ago (2017-05-16 17:56:00 UTC) #7
enne
lgtm
1 week ago (2017-05-16 17:59:33 UTC) #10
chrishtr
lgtm Looks good assuming it is the same as before.
1 week ago (2017-05-16 18:05:08 UTC) #11
danakj
Thanks, I'll TBR pdr. What a good rhyme.
1 week ago (2017-05-16 18:45:34 UTC) #13
pdr (OOO Jury Duty).
On 2017/05/16 at 18:45:34, danakj wrote: > Thanks, I'll TBR pdr. What a good rhyme. ...
1 week ago (2017-05-16 18:47:10 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/1
1 week ago (2017-05-16 18:48:26 UTC) #17
danakj
On 2017/05/16 18:47:10, pdr. wrote: > On 2017/05/16 at 18:45:34, danakj wrote: > > Thanks, ...
1 week ago (2017-05-16 18:56:27 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/1
1 week ago (2017-05-16 18:56:40 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/438764)
1 week ago (2017-05-16 20:10:40 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/1
1 week ago (2017-05-16 20:29:23 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/20001
1 week ago (2017-05-16 20:31:28 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/455354)
1 week ago (2017-05-16 23:06:15 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/20001
1 week ago (2017-05-17 14:51:33 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/456048)
1 week ago (2017-05-17 14:58:27 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/40001
6 days, 23 hours ago (2017-05-17 18:33:25 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_compile_dbg/builds/271768)
6 days, 22 hours ago (2017-05-17 19:06:07 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/60001
6 days, 22 hours ago (2017-05-17 19:31:27 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/60001
6 days, 21 hours ago (2017-05-17 20:26:11 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/60001
6 days, 19 hours ago (2017-05-17 22:29:33 UTC) #51
commit-bot: I haz the power
Failed to apply patch for third_party/WebKit/Source/platform/graphics/filters/SkiaImageFilterBuilder.cpp: While running git apply --index -3 -p1; error: patch ...
6 days, 13 hours ago (2017-05-18 04:50:04 UTC) #53
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/80001
6 days, 3 hours ago (2017-05-18 14:32:40 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/100001
6 days, 2 hours ago (2017-05-18 14:56:59 UTC) #59
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448580)
6 days ago (2017-05-18 17:36:28 UTC) #61
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/100001
5 days, 21 hours ago (2017-05-18 20:22:47 UTC) #63
danakj
Committed patchset #6 (id:100001) manually as c5f1b6126a7657234b9abc0c4359cbab45850b69 (presubmit successful).
5 days, 21 hours ago (2017-05-18 20:38:46 UTC) #65
Marc Treib (OOO till June 7)
On 2017/05/18 20:38:46, danakj wrote: > Committed patchset #6 (id:100001) manually as > c5f1b6126a7657234b9abc0c4359cbab45850b69 (presubmit ...
5 days, 9 hours ago (2017-05-19 08:42:07 UTC) #66
Marc Treib (OOO till June 7)
A revert of this CL (patchset #6 id:100001) has been created in https://codereview.chromium.org/2894843002/ by treib@chromium.org. ...
5 days, 8 hours ago (2017-05-19 09:28:57 UTC) #67
danakj
https://codereview.chromium.org/2889653002/diff/100001/cc/paint/drawing_display_item.cc File cc/paint/drawing_display_item.cc (right): https://codereview.chromium.org/2889653002/diff/100001/cc/paint/drawing_display_item.cc#newcode18 cc/paint/drawing_display_item.cc:18: : DisplayItem(DRAWING), picture(item.picture) {} I think this is the ...
5 days, 2 hours ago (2017-05-19 15:30:10 UTC) #68
danakj
Patch set 8 fixes the uninit bounds in DrawingDisplayItem after copying it from the ui ...
5 days, 1 hour ago (2017-05-19 16:02:03 UTC) #72
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/140001
5 days, 1 hour ago (2017-05-19 16:03:09 UTC) #75
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_compile_dbg_ng/builds/300708)
5 days, 1 hour ago (2017-05-19 16:38:50 UTC) #77
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/160001
4 days, 23 hours ago (2017-05-19 18:04:38 UTC) #80
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/215060) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
4 days, 23 hours ago (2017-05-19 18:09:19 UTC) #82
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/180001
4 days, 23 hours ago (2017-05-19 18:15:50 UTC) #85
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/200001
4 days, 23 hours ago (2017-05-19 18:17:45 UTC) #88
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/460216)
4 days, 21 hours ago (2017-05-19 19:53:13 UTC) #90
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/220001
4 days, 21 hours ago (2017-05-19 20:38:30 UTC) #93
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/450304)
4 days, 18 hours ago (2017-05-19 23:05:48 UTC) #95
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/220001
4 days, 18 hours ago (2017-05-19 23:11:52 UTC) #97
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/443025)
4 days, 18 hours ago (2017-05-19 23:24:03 UTC) #99
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/240001
4 days, 18 hours ago (2017-05-19 23:31:27 UTC) #102
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/273376) cast_shell_android on master.tryserver.chromium.android (JOB_FAILED, ...
4 days, 18 hours ago (2017-05-19 23:43:21 UTC) #104
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/260001
4 days, 18 hours ago (2017-05-19 23:46:42 UTC) #107
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/298865)
4 days, 14 hours ago (2017-05-20 03:31:49 UTC) #109
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889653002/280001
1 day, 2 hours ago (2017-05-23 15:41:00 UTC) #112
commit-bot: I haz the power
23 hours, 43 minutes ago (2017-05-23 18:07:04 UTC) #115
Message was sent while issue was closed.
Committed patchset #15 (id:280001) as
https://chromium.googlesource.com/chromium/src/+/29ef12086e6ac7eb83677e7730df...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06